Subject: x2goclient can not be compiled on Raspberry PI
From: Office NextITLevel GmbH <[email-masked]>
To: "[email-masked]" <[email-masked]>
Date: Fri, 3 Oct 2014 18:20:40 +0000

Package: <x2goclient>
Version: <4.0.2.1-0x2go1+git20140823.626+wheezy.main.1>

$ uname -a
Linux niu5 3.12.28+ #709 PREEMPT Mon Sep 8 15:28:00 BST 2014 armv6l GNU/Linux
libc6:armhf          2.13-38+rpi2+de 
gcc                      4:4.6.3-8       armhf 
--

Dear X2go Team,

I cannot compile an x2goclient on a Raspberry PI.  I just wanted a version of x2goclient that is newer then
3.99.2.1-5.  I used the instructions on http://wiki.x2go.org/doku.php/wiki:development:build-howto-linux:x2goclient
And then Install x2goclient from git
At the end I got the error-msg:
g++ -c -O2 -Wall -W -D_REENTRANT -DCFGCLIENT -D__linux__ -DQT_NO_DEBUG -DQT_SVG_LIB -DQT_GUI_LIB -DQT_NETWORK_LIB -DQT_CORE_LIB -DQT_SHARED -I/usr/share/qt4/mkspecs/linux-g++ -I../../x2goclient -I/usr/include/qt4/QtCore -I/usr/include/qt4/QtNetwork -I/usr/include/qt4/QtGui -I/usr/include/qt4/QtSvg -I/usr/include/qt4 -I../../x2goclient -I. -I. -I. -o sshmasterconnection.o ../sshmasterconnection.cpp
../sshmasterconnection.cpp: In member function ‘void SshMasterConnection::checkReverseTunnelConnections()’:
../sshmasterconnection.cpp:297:73: error: ‘ssh_channel_accept_forward’ was not declared in this scope
../sshmasterconnection.cpp:308:33: warning: comparison between signed and unsigned integer expressions [-Wsign-compare]
Makefile:710: recipe for target 'sshmasterconnection.o' failed
make[1]: *** [sshmasterconnection.o] Error 1
make[1]: Leaving directory '/home/fraroot/scripts/x2goclient/client_build'
Makefile:39: recipe for target 'build_client' failed
make: *** [build_client] Error 2

I would like to download x2goclient package ready for the Raspberry PI.
But when I say
# apt-get download x2goclient 
I get  x2goclient_3.99.2.1-5_armhf.deb
And this version makes a lot of problems with an X2goserver 4.0.1.16.
If you have a version of x2goclient with 4.x.x for the Raspberry PI that would make me happy.

Attached you find the detailed messages.

Thank you very much and have a nice day,
Franz Lückl

Mobil DE:                +49 152 3437 5620
Mobil AT:                +43 676 37 00 299
Mobiles Festnetz:    +49 69 3487 8985
Fax:                     +43 1 89 00 2999

mailto:[email-masked] 
Internet Home Page:  http://www.nextitlevel.de